Bug 12633 - too old agpgart module
: too old agpgart module
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-smp)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-25 22:55 by
Modified: 2008-07-11 15:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-25 22:55:33
kernel-image-std-smp-2.6.18-alt7
xorg-x11-server-1.3.0.0-alt18
xorg-x11-drv-intel-2.1.0-alt3

При использовании в xorg драйвера i810, dri нет, логи полны сообщений вида:
[drm:drm_agp_init_ttm] *ERROR* Wrong agpgart version 0.101
^IYou need at least version 0.102.

При использовании драйвера intel -- мгновенная смерть от glxinfo.
------- Comment #2 From 2007-09-10 16:32:42 -------
kernel-image-std-smp-2.6.18-alt6
kernel-modules-drm-std-smp-2007.06.24-alt1.132626.6
xorg-x11-drv-intel-2.1.1-alt1

00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated 
Graphics Controller (rev 02)

все работает
------- Comment #3 From 2007-09-10 18:41:12 -------
xorg-x11-server-1.3.0.0-alt24
xorg-x11-drv-intel-2.1.1-alt1
xorg-x11-dri-intel-7.0.1-alt2
kernel-modules-drm-std-smp-2007.09.09-alt1.132626.7
libdrm-2.3.1-alt5

железка (драйвер intel):
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated 
Graphics Device (rev 02)

glxinfo утверждает, что dri нет, в логе X'ов:
--- %< ---
(II) intel(0): [DRI] installation complete
(II) intel(0): [drm] dma control initialized, using IRQ 11
(II) intel(0): direct rendering: Enabled
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(EE) intel(0): Could not initialize the DRM memory manager.
(II) intel(0): [drm] removed 1 reserved context for kernel
(II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf928f000 at 0xb7b80000
(II) intel(0): [drm] Closed DRM master.
--- %< ---

вероятно, баг следует перевесить на xorg-x11-drv-intel
------- Comment #4 From 2007-09-11 12:23:01 -------
kernel-modules-drm-std-smp-2007.09.09-alt1.132626.7 похоже убитые

kernel-image-std-smp-2.6.18-alt7
kernel-modules-drm-std-smp-2007.06.10-alt1.132626.7
xorg-x11-server-common-1.4-alt2
xorg-x11-dri-intel-7.0.1-alt2
xorg-x11-drv-intel-2.1.1-alt2

работает как intel, так и i810
------- Comment #5 From 2007-09-11 23:46:50 -------
падает при:
Option "Legacy3d" "off"

------- Comment #6 From 2007-12-24 16:57:41 -------
Как себя ведёт это железо на kernel-image-std-smp 2.6.18-alt10 (в процессе
добавления поддержки G33, Q33, Q35 был обновлён и agpgart)?
------- Comment #7 From 2007-12-24 17:52:44 -------
не падает, но и не работает; переключается на sw rendering.
http://ns.lioka.obninsk.ru/Xorg.0.log
от ядра сообщений нет.
------- Comment #8 From 2007-12-24 17:54:50 -------
$ rpmquery -a xorg-x11-server xorg-\*-intel\*
xorg-x11-server-1.4-alt12
xorg-x11-drv-intel-2.2.0-alt3
xorg-x11-dri-intel-7.0.2-alt4
------- Comment #9 From 2007-12-24 21:32:12 -------
Понятно - скорее всего, теперь нужно обновлять kernel-modules-drm...
------- Comment #10 From 2008-07-11 13:36:47 -------
уже давно обновлено